import { ReadonlyDeep } from "type-fest";
import Camera, { UvcControl } from "uvc-control";
import CameraControlHelperClass from "./camera-control-helper.js";
export default class CameraControlHelperFactory {
    private readonly UvcControl;
    private readonly CameraControlHelper;
    constructor(UvcControl: ReadonlyDeep<UvcControl>, CameraControlHelper: typeof CameraControlHelperClass);
    get(camera: ReadonlyDeep<Camera>): Promise<CameraControlHelperClass>;
}
